<?php


namespace FiloBlu\ExtInventory\Api;

use Magento\Framework\Api\SearchCriteriaInterface;

interface InventoryFbOrderitemSourceRepositoryInterface
{

    /**
     * Save inventory_fb_orderitem_source
     * @param \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface $inventoryFbOrderitemSource
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function save(
        \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface $inventoryFbOrderitemSource
    );

    /**
     * Retrieve inventory_fb_orderitem_source
     * @param string $inventoryFbOrderitemSourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function get($inventoryFbOrderitemSourceId);

    /**
     * Retrieve inventory_fb_orderitem_source matching the specified criteria.
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceSearchResultsInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getList(
        \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
    );

    /**
     * Delete inventory_fb_orderitem_source
     * @param \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface $inventoryFbOrderitemSource
     * @return bool true on success
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function delete(
        \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface $inventoryFbOrderitemSource
    );

    /**
     * Delete inventory_fb_orderitem_source by ID
     * @param string $inventoryFbOrderitemSourceId
     * @return bool true on success
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function deleteById($inventoryFbOrderitemSourceId);
}
