<?php

/*
 * Examples from Klarna\Core\Setup\InstallSchema
 */

namespace FiloBlu\ExtInventory\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface
{

    /**
     * {@inheritdoc}
     */
    public function install(
        SchemaSetupInterface $setup,
        ModuleContextInterface $context
    )
    {
        $installer = $setup;

        if ($installer->tableExists('inventory_fb_orderitem_source')) {
            return;
        }

        $installer->startSetup();

        $table = $installer->getConnection()
            ->newTable($installer->getTable('inventory_fb_orderitem_source'))
            ->addColumn(
                'inventory_fb_orderitem_source_id',
                Table::TYPE_INTEGER,
                null,
                [
                    'identity' => true,
                    'unsigned' => true,
                    'nullable' => false,
                    'primary'  => true,
                ],
                'Entity Id'
            )
            ->addColumn(
                'order_id',
                Table::TYPE_INTEGER,
                null,
                [
                    'unsigned' => true,
                    'nullable' => false,
                ],
                'order_id'
            )
            ->addColumn(
                'order_item_id',
                Table::TYPE_INTEGER,
                null,
                [
                    'unsigned' => true,
                    'nullable' => false,
                ],
                'order_item_id'
            )
            ->addColumn(
                'inventory_source_id',
                Table::TYPE_TEXT,
                255,
                ['nullable' => false],
                'inventory_source_id'
            )
            ->addColumn(
                'final_inventory_source_id',
                Table::TYPE_TEXT,
                255,
                ['nullable' => false],
                'final_inventory_source_id'
            )
            ->addColumn(
                'sku',
                Table::TYPE_TEXT,
                255,
                ['nullable' => false],
                'sku'
            )
            ->addColumn(
                'qty',
                Table::TYPE_FLOAT,
                null,
                ['nullable' => false],
                'qty'
            );
        $installer->getConnection()->createTable($table);

        $installer->endSetup();
    }

}
